# HiPay Fullservice module for Magento 2

[![GitHub license](https://img.shields.io/badge/license-Apache%202-blue.svg)](https://raw.githubusercontent.com/hipay/hipay-fullservice-sdk-magento2/master/LICENSE.md)
[![CircleCI](https://circleci.com/gh/hipay/hipay-fullservice-sdk-magento2/tree/develop.svg?style=shield&circle-token=b6547a8c017bc8942a0bfc4121a9aaac0fff61e0)](https://circleci.com/gh/hipay/hipay-fullservice-sdk-magento2/tree/develop)

The **HiPay Fullservice module for Magento 2** is a PHP module which allows you to accept payments in your Magento 2 online store. It offers innovative features to reduce shopping cart abandonment rates, optimize success rates and enhance the purchasing process on merchants’ sites in order to significantly increase business volumes without additional investments in the Magento 2 e-commerce CMS solution.

## Getting started

Read the **[project documentation][doc-home]** for comprehensive information about the requirements, general workflow and installation procedure.

## Resources
- [Full project documentation][doc-home] — To have a comprehensive understanding of the workflow and get the installation procedure
- [HiPay Support Center][hipay-help] — To get technical help from HiPay
- [Issues][project-issues] — To report issues, submit pull requests and get involved (see [Apache 2.0 License][project-license])
- [Change log][project-changelog] — To check the changes of the latest versions
- [Contributing guidelines][project-contributing] — To contribute to our source code

## Features

- Compatibility with Magento 2
- 3-D Secure enabling/disabling
- Oneclick option configuration with custom rules
- Management of multiple cards per customer for one-click payment
- iFrame integration, hosted page and custom card API
- Mail management for transactions pending fraud validation (challenged)
- Manual and automatic capture
- Partial capture and refund
- Payment in x installments without fees
- Subscription management (development in progress)

## License

The **HiPay Fullservice module for Magento 2** is available under the **Apache 2.0 License**. Check out the [license file][project-license] for more information.

[doc-home]: https://github.com/hipay/hipay-fullservice-sdk-magento2/wiki

[hipay-help]: http://help.hipay.com

[project-issues]: https://github.com/hipay/hipay-fullservice-sdk-magento2/issues
[project-license]: LICENSE.md
[project-changelog]: CHANGELOG.md
[project-contributing]: CONTRIBUTING.md
